Skip to main content
`Ctrl`+`K`

# MatProductSetType

Sets a particular matrix-matrix product operation to be used to compute the values of the given matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetType(Mat mat, MatProductType productype)

Collective

## Input Parameters

- mat - the matrix whose values are computed via a matrix-matrix product operation

- productype - matrix product type, e.g., `MATPRODUCT_AB`,`MATPRODUCT_AtB`,`MATPRODUCT_ABt`,`MATPRODUCT_PtAP`,`MATPRODUCT_RARt`,`MATPRODUCT_ABC`, see `MatProductType`

## Note

The small t represents the transpose operation.

## See Also

Matrices, `MatProduct`, `Mat`, `MatProductCreate()`, `MatProductType`, `MATPRODUCT_AB`, `MATPRODUCT_AtB`, `MATPRODUCT_ABt`, `MATPRODUCT_PtAP`, `MATPRODUCT_RARt`, `MATPRODUCT_ABC`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

## Examples

src/tao/pde_constrained/tutorials/parabolic.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages